# Uses of Class
org.apache.sling.maven.bundlesupport.deploy.DeployContext

Packages that use DeployContext
Package
Description
org.apache.sling.maven.bundlesupport.deploy
org.apache.sling.maven.bundlesupport.deploy.method

## Uses of DeployContext in org.apache.sling.maven.bundlesupport.deploy

Methods in org.apache.sling.maven.bundlesupport.deploy that return DeployContext
Modifier and Type
Method
Description
`DeployContext`
DeployContext.`bundleStart(boolean bundleStart)`
`DeployContext`
DeployContext.`bundleStartLevel(String bundleStartLevel)`
`DeployContext`
DeployContext.`failOnError(boolean failOnError)`
`DeployContext`
DeployContext.`httpClient(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient)`
`DeployContext`
DeployContext.`log(org.apache.maven.plugin.logging.Log log)`
`DeployContext`
DeployContext.`mimeType(String mimeType)`
`DeployContext`
DeployContext.`refreshPackages(boolean refreshPackages)`
Methods in org.apache.sling.maven.bundlesupport.deploy with parameters of type DeployContext
Modifier and Type
Method
Description
`void`
DeployMethod.`deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context)`
Deploy/install a bundle on a Sling instance.
`void`
DeployMethod.`undeploy(URI targetURL, String bundleName, DeployContext context)`
Undeploy/uninstall a bundle on a Sling instance.

## Uses of DeployContext in org.apache.sling.maven.bundlesupport.deploy.method

Methods in org.apache.sling.maven.bundlesupport.deploy.method with parameters of type DeployContext
Modifier and Type
Method
Description
`void`
FelixPostDeployMethod.`deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context)`
`void`
SlingPostDeployMethod.`deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context)`
`void`
WebDavPutDeployMethod.`deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context)`
`void`
FelixPostDeployMethod.`undeploy(URI targetURL, String bundleSymbolicName, DeployContext context)`
`void`
SlingPostDeployMethod.`undeploy(URI targetURL, String bundleName, DeployContext context)`
`void`
WebDavPutDeployMethod.`undeploy(URI targetURL, String bundleName, DeployContext context)`